Innehåll

# Log Function (BASIC)

Returnerar den naturliga logaritmen för ett tal.

### Syntax:

    Log (Tal)

### Returnerat värde:

Double

### Parametrar:

Tal: Ett numeriskt uttryck som du ska räkna ut den naturliga logaritmen för.

Den naturliga logaritmen är logaritmen med basen e. Talet e är en konstant med det approximativa värdet 2,71828...

Du kan beräkna logaritmen med en annan bas (n) för ett givet tal (x) genom att dividera den naturliga logaritmen för x med den naturliga logaritmen för n, enligt följande:

Logn(x) = Log(x) / Log(n)

### Felkoder:

5 Felaktigt proceduranrop

### Exempel:

    Sub ExampleLogExp
    Dim a As Double
    Dim Const b1=12.345e12
    Dim Const b2=1.345e34
        a=Exp( Log(b1)+Log(b2) )
        MsgBox "" & a & chr(13) & (b1*b2) ,0,"Multiplikation med logaritmfunktionen"
    End Sub